Subject: bug#47581: closed (Re: bug#47581: 27.1; tab-bar missed mouse clicks on MS-Windows)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Apr 2021 16:35:02 +0000

Your bug report

#47581: 27.1; tab-bar missed mouse clicks on MS-Windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47581: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47581
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47581: 27.1; tab-bar missed mouse clicks on MS-Windows
From: Eli Zaretskii <[email-masked]>
To: Juri Linkov <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 13 Apr 2021 19:33:32 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 13 Apr 2021 19:14:43 +0300
> 
> >> There was a clearly visible indication with raised images
> >> on mouse pointer movements over the tab close buttons.
> >
> > Only on the tab close buttons?  I thought you were talking about the
> > button as a whole: those don't react to mouse movements, at least
> > here.
> >
> > Anyway, I've restored the mouse sensitivity of the tab-close buttons.
> 
> I confirm that now the tab close buttons react to mouse movements as before,
> and also there is no more issue of missed mouse clicks reported by Ioannis.
> But tested only on GNU/Linux, I can't confirm for MS-Windows.

Thanks.  I tested on Windows, so I think we can close this.

Subject: 27.1; tab-bar missed mouse clicks on MS-Windows
From: Ioannis Kappas <[email-masked]>
To: [email-masked]
Date: Sat, 3 Apr 2021 12:20:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

There appears to be an issue with the tab bar on MS-Windows that
sometimes it does not register mouse clicks.

Steps to reproduce

1. Run emacs -Q.
2. M-x tab-bar-mode, the tab bar opens with a tab on the *scratch*
   buffer.
3. Press the + button on the tab bar, a second tab is created on the
   same buffer.
4. Keep switching between the two tabs using the mouse, you will
   notice that sometimes clicking on the inactive tab does not
   activate it as expected.

Analysis and likely solution to follow.

In GNU Emacs 27.1 (build 1, x86_64-w64-mingw32)
 of 2020-11-19 built on fv-az68-340
Repository revision: ec297125a76481c55390d0b329e541907879d6f3
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 10

Configured using:
 'configure --prefix=/mingw64 --build=x86_64-w64-mingw32 --with-modules
 --without-dbus --without-compress-install 'CFLAGS=-march=x86-64
 -mtune=generic -O2 -pipe' CPPFLAGS=-D__USE_MINGW_ANSI_STDIO=1
 'LDFLAGS=-pipe
 -Wl,--dynamicbase,--high-entropy-va,--nxcompat,--default-image-base-high''